package com.usoftchina.bi.server.model.po;

import java.util.Date;

/**
 * @Author chenwei
 * @Date 2019-04-26
 */
public class MessageLog {

    /**
     * ID
     */
    private Integer id;
    /**
     * 操作时间
     */
    private Date date;
    /**
     * 操作人
     */
    private String userName;
    /**
     * 操作内容
     */
    private String content;
    /**
     * 操作结果
     */
    private String result;
    /**
     * 搜索字段
     */
    private String search;
    /**
     * 模块名
     */
    private String module;
    /**
     * 单据名称
     */
    private String order;

    @Override
    public String toString() {
        return "MessageLog{" +
                "id=" + id +
                ", date=" + date +
                ", userName='" + userName + '\'' +
                ", content='" + content + '\'' +
                ", result='" + result + '\'' +
                ", search='" + search + '\'' +
                '}';
    }

    public MessageLog() {
    }

    public MessageLog(String userName, String content, String result, String search, String module, String order) {
        this.userName = userName;
        this.content = content;
        this.result = result;
        this.search = search;
        this.module = module;
        this.order = order;
    }

    public Integer getId() {

        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }
}
